Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class SetColumnTypeEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
              info.bioinfweb.treegraph.document.undo.edit.SetColumnTypeEdit

All Implemented Interfaces:
  UndoableEdit

    public class SetColumnTypeEdit

extends NodeBranchDataEdit

Field Summary
`private boolean` | `decimal`

Fields inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`adapter, backup`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`SetColumnTypeEdit(Document document, TextElementDataAdapter adapter, boolean decimal)`

Method Summary
`private TextElementDataAdapter` | `getAdapter()`
`String` | `getPresentationName()`
`void` | `redo()`
`protected void` | `setDataTypeInSubtree(Node root, TextElementDataAdapter adapter, boolean decimal)`

Methods inherited from class info.bioinfweb.treegraph.document.undo.NodeBranchDataEdit
`undo`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getIsSubedit, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, setIsSubedit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decimal

    private boolean decimal

Constructor Detail

### SetColumnTypeEdit

    public SetColumnTypeEdit(Document document,
                             TextElementDataAdapter adapter,
                             boolean decimal)

Method Detail

### getAdapter

    private TextElementDataAdapter getAdapter()

### setDataTypeInSubtree

    protected void setDataTypeInSubtree(Node root,
                                        TextElementDataAdapter adapter,
                                        boolean decimal)

### redo

    public void redo()
              throws CannotRedoException

  Specified by:
    `redo` in interface `UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `CannotRedoException`

### getPresentationName

    public String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD